package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ClienteDescuentoDAO;
import com.rjconsultores.ventaboletos.entidad.ClienteDescuento;
import com.rjconsultores.ventaboletos.service.ClienteDescuentoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("clienteDescuentoService")
public class ClienteDescuentoServiceImpl implements ClienteDescuentoService {

	@Autowired
    private ClienteDescuentoDAO clienteDescuentoDAO;
	
	@Transactional
    public ClienteDescuento suscribir(ClienteDescuento entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(0);

        return clienteDescuentoDAO.suscribir(entidad);
    }
	
	public ClienteDescuento obtenerID(Integer id) {
        return clienteDescuentoDAO.obtenerID(id);
    }
	

	public List<ClienteDescuento> obtenerTodos() {
        return clienteDescuentoDAO.obtenerTodos();
    }
	
	@Transactional
    public void borrar(ClienteDescuento entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(0);

        clienteDescuentoDAO.borrar(entidad);
    }
	
	@Transactional
    public ClienteDescuento actualizacion(ClienteDescuento entidad) {
        return clienteDescuentoDAO.actualizacion(entidad);
    }
}
